Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.musiccontentcenter.MusicContentCenterConfiguration Class Reference

Settings for the music content center. More...

## Public Member Functions
| MusicContentCenterConfiguration (String appid, String token, long mccUid, int maxCacheSize, IMusicContentCenterEventHandler eventHandler)
| MusicContentCenterConfiguration (String appid, String token, long mccUid, int maxCacheSize, IMusicContentCenterEventHandler eventHandler, String domain)
String | getAppId ()
String | getToken ()
long | getMccUid ()
int | getMaxCacheSize ()
IMusicContentCenterEventHandler | getEventHandler ()
String | getMccDomain ()

## Public Attributes
String | appId
String | token
long | mccUid
int | maxCacheSize
IMusicContentCenterEventHandler | eventHandler
String | mccDomain

## Detailed Description

Settings for the music content center.

## Member Data Documentation

## ◆ appId

String io.agora.musiccontentcenter.MusicContentCenterConfiguration.appId

The App ID of the project with content center enabled.

## ◆ token

String io.agora.musiccontentcenter.MusicContentCenterConfiguration.token

The RTM Token used for authentication when using the music content center.

Note
  - Agora recommends that you use AccessToken2 for authentication. See `Deploying the Token Server` for details. When generating the Token, pass the `String` type `mccUid` to the `uid` parameter.
  - When your Token is about to expire, you can call `renewToken` to provide a new Token.

## ◆ mccUid

long io.agora.musiccontentcenter.MusicContentCenterConfiguration.mccUid

ID of the user to use the music content center. This ID can be the same as the `uid` you use to join the RTC channel, but it cannot be 0.

## ◆ maxCacheSize

int io.agora.musiccontentcenter.MusicContentCenterConfiguration.maxCacheSize

The number of cacheable music resources must not exceed 50.

## ◆ eventHandler

IMusicContentCenterEventHandler io.agora.musiccontentcenter.MusicContentCenterConfiguration.eventHandler

The event callbacks to be received. See `IMusicContentCenterEventHandler` for details.

## ◆ mccDomain

String io.agora.musiccontentcenter.MusicContentCenterConfiguration.mccDomain

@technical preview